<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>AlexaClientSDK: alexaClientSDK::acl::test::MimeParserFuzzTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.9.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl.html">acl</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1acl_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mime_parser_fuzz_test.html">MimeParserFuzzTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mime_parser_fuzz_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::acl::test::MimeParserFuzzTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::acl::test::MimeParserFuzzTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mime_parser_fuzz_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1acl_1_1test_1_1_mime_parser_fuzz_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1acl_1_1test_1_1_mime_parser_fuzz_test_inherit__map" id="alexa_client_s_d_k_1_1acl_1_1test_1_1_mime_parser_fuzz_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::acl::test::MimeParserFuzzTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mime_parser_fuzz_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1acl_1_1test_1_1_mime_parser_fuzz_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1acl_1_1test_1_1_mime_parser_fuzz_test_coll__map" id="alexa_client_s_d_k_1_1acl_1_1test_1_1_mime_parser_fuzz_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:acce7de5192bebcac1545dc585da619ab"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mime_parser_fuzz_test.html#acce7de5192bebcac1545dc585da619ab">SetUp</a> () override</td></tr>
<tr class="separator:acce7de5192bebcac1545dc585da619ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a939f45f2a0bd99fb8a4b2fb71ed99cdd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mime_parser_fuzz_test.html#a939f45f2a0bd99fb8a4b2fb71ed99cdd">feed</a> ()</td></tr>
<tr class="separator:a939f45f2a0bd99fb8a4b2fb71ed99cdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd0a4f230312137d037d87c0703191c7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mime_parser_fuzz_test.html#acd0a4f230312137d037d87c0703191c7">read</a> ()</td></tr>
<tr class="separator:acd0a4f230312137d037d87c0703191c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a2eae8f3161a9d17764e962d0cf0a00b9"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html">AttachmentManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mime_parser_fuzz_test.html#a2eae8f3161a9d17764e962d0cf0a00b9">m_attachmentManager</a></td></tr>
<tr class="memdesc:a2eae8f3161a9d17764e962d0cf0a00b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">The AttachmentManager.  <a href="#a2eae8f3161a9d17764e962d0cf0a00b9">More...</a><br /></td></tr>
<tr class="separator:a2eae8f3161a9d17764e962d0cf0a00b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b6d255ee793a84c481824c5e4b4a661"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_mime_parser.html">MimeParser</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mime_parser_fuzz_test.html#a0b6d255ee793a84c481824c5e4b4a661">m_parser</a></td></tr>
<tr class="memdesc:a0b6d255ee793a84c481824c5e4b4a661"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_mime_parser.html">MimeParser</a> which we will be primarily testing.  <a href="#a0b6d255ee793a84c481824c5e4b4a661">More...</a><br /></td></tr>
<tr class="separator:a0b6d255ee793a84c481824c5e4b4a661"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb0ac0438f2e75fd88b05836b5ecdb12"><td class="memItemLeft" align="right" valign="top">std::atomic&lt; bool &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1acl_1_1test_1_1_mime_parser_fuzz_test.html#abb0ac0438f2e75fd88b05836b5ecdb12">m_failed</a></td></tr>
<tr class="memdesc:abb0ac0438f2e75fd88b05836b5ecdb12"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag to indicate the test has failed and loops should exit.  <a href="#abb0ac0438f2e75fd88b05836b5ecdb12">More...</a><br /></td></tr>
<tr class="separator:abb0ac0438f2e75fd88b05836b5ecdb12"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Our GTest class. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a939f45f2a0bd99fb8a4b2fb71ed99cdd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::test::MimeParserFuzzTest::feed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Feed a pseudo-random stream of bytes to the mime parser, making a number of calls with pseudo-random sizes. </p>

</div>
</div>
<a class="anchor" id="acd0a4f230312137d037d87c0703191c7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::test::MimeParserFuzzTest::read </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Read the attachment the mime parser is rendering to, requesting a pseudo-random number of bytes with each read. </p>

</div>
</div>
<a class="anchor" id="acce7de5192bebcac1545dc585da619ab"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::acl::test::MimeParserFuzzTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Construct the objects we will use across tests. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a2eae8f3161a9d17764e962d0cf0a00b9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html">AttachmentManager</a>&gt; alexaClientSDK::acl::test::MimeParserFuzzTest::m_attachmentManager</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The AttachmentManager. </p>

</div>
</div>
<a class="anchor" id="abb0ac0438f2e75fd88b05836b5ecdb12"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::atomic&lt;bool&gt; alexaClientSDK::acl::test::MimeParserFuzzTest::m_failed</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Flag to indicate the test has failed and loops should exit. </p>

</div>
</div>
<a class="anchor" id="a0b6d255ee793a84c481824c5e4b4a661"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_mime_parser.html">MimeParser</a>&gt; alexaClientSDK::acl::test::MimeParserFuzzTest::m_parser</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_mime_parser.html">MimeParser</a> which we will be primarily testing. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/ACL/test/Transport/<a class="el" href="_mime_parser_fuzz_test_8cpp.html">MimeParserFuzzTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.9.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
